%define python_sitelib %(%{__python} -c "from distutils import sysconfig; print sysconfig.get_python_lib()")
%define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')

%define pre pre4

Name: obexftp
Summary: Tool to access devices via the OBEX protocol
Group: Applications/File
Version: 0.22
Release: 0.2.%{pre}
License: GPL
URL: http://openobex.triq.net/
Source: http://triq.net/obexftp/%{name}-%{version}-%{pre}.tar.bz2
Patch0: %{name}-norpath.patch
Patch1: %{name}-perl.patch
Patch2: %{name}-segv.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
BuildRequires: bluez-libs-devel
BuildRequires: openobex-devel >= 1.2
BuildRequires: python-devel
BuildRequires: libtool
BuildRequires: gettext-devel

%description
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phonebook, logos, ringtones, music,
pictures and alike.

%package -n python-%{name}
Summary: Python library to access devices via the OBEX protocol
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n python-%{name}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phonebook, logos, ringtones, music,
pictures and alike.

%package -n perl-%{name}
Summary: Perl library to access devices via the OBEX protocol
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description -n perl-%{name}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phonebook, logos, ringtones, music,
pictures and alike.

%package devel
Summary: Header files and libraries for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: openobex-devel >= 1.2

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q
%patch0 -p1 -b .norpath
%patch1 -p1 -b .p
%patch2 -p1 -b .segv

%build
autoreconf -f -i
%configure --disable-static --disable-dependency-tracking --disable-rpath
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
chmod 755 %{buildroot}%{perl_vendorarch}/*/OBEXFTP/OBEXFTP.so

%{__rm} %{buildroot}%{_libdir}/*.la
%{__rm} %{buildroot}%{python_sitearch}/obexftp/*.la
%{__rm} %{buildroot}%{python_sitelib}/obexftp/python_wrap.c
%{__rm} %{buildroot}%{perl_archlib}/perllocal.pod
%{__rm} -f %{buildroot}%{perl_vendorarch}/*/OBEXFTP/{.packlist,OBEXFTP.bs}

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%{_mandir}/man1/obexftp.1*
%{_mandir}/man1/obexftpd.1*
%{_bindir}/obexftp
%{_bindir}/obexftpd
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%{_includedir}/bfb/
%{_includedir}/multicobex/
%{_includedir}/obexftp/
%{_libdir}/*.so

%files -n python-%{name}
%defattr(-, root, root, -)
%dir %{python_sitelib}/obexftp
%{python_sitelib}/obexftp/*.py*
%dir %{python_sitearch}/obexftp
%{python_sitearch}/obexftp/_obexftp.so*

%files -n perl-%{name}
%defattr(-, root, root, -)
%{perl_vendorarch}/OBEXFTP.pm
%dir %{perl_vendorarch}/*/OBEXFTP
%{perl_vendorarch}/*/OBEXFTP/OBEXFTP.so

%changelog
* Mon Mar 26 2007 Dominik Mierzejewski <rpm@greysector.net> - 0.22-0.2.pre4
- fix segfault in obexftpd (patch by Jan Kratochvil), closes (#230991)

* Fri Mar 23 2007 Dominik Mierzejewski <rpm@greysector.net> - 0.22-0.1.pre4
- updated to 0.22-pre4
- updated patches

* Fri Jan 26 2007 Dominik Mierzejewski <rpm@greysector.net> - 0.20-3
- add missing disttag

* Thu Jan 25 2007 Dominik Mierzejewski <rpm@greysector.net> - 0.20-2
- added missing defattr
- require openobex-devel > 1.2
- added missing MODULE_COMPAT Requires: to perl subpackage
- renamed subpackages to perl/python-obexftp
- fixed rpaths

* Mon Jan 01 2007 Dominik Mierzejewski <rpm@greysector.net> - 0.20-1
- updated to 0.20

* Sun Jan 29 2006 Dag Wieers <dag@wieers.com> - 0.18-1
- Initial package. (using DAR)
